export class AutoNoteRemoval1725706236633 {
	name = 'AutoNoteRemoval1725706236633'

	async up(queryRunner) {
		await queryRunner.query(`CREATE TABLE "auto_removal_condition" ("userId" character varying(32) NOT NULL, "deleteAfter" bigint NOT NULL DEFAULT '7', "noPiningNotes" boolean NOT NULL DEFAULT true, "noSpecifiedNotes" boolean NOT NULL DEFAULT true)`);
		await queryRunner.query(`ALTER TABLE "user" ADD "autoRemoval" boolean NOT NULL DEFAULT false`);
		await queryRunner.query(`COMMENT ON COLUMN "user"."autoRemoval" IS 'Whether the User is using note auto removal.'`);
	}

	async down(queryRunner) {
		await queryRunner.query(`COMMENT ON COLUMN "user"."autoRemoval" IS 'Whether the User is using note auto removal.'`);
		await queryRunner.query(`ALTER TABLE "user" DROP COLUMN "autoRemoval"`);
		await queryRunner.query(`DROP TABLE "auto_removal_condition"`);
	}
}
